updated .... but not quite! [sorted]

Post your update and upgrade related errors here
Forum rules
Before you post please read this

updated .... but not quite! [sorted]

Postby abtygwyn on Thu Aug 16, 2012 6:52 am

Updating my system as per usual and got the following:

W: GPG error: http://debian.linuxmint.com testing Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 07DC563D1F41B907

I have no idea whether this is a problem, or what I should do :-)

Anybody care to advise?

Thanks

Andrew
Last edited by abtygwyn on Sun Aug 19, 2012 11:00 am, edited 1 time in total.
abtygwyn
Level 3
Level 3
 
Posts: 151
Joined: Mon Apr 25, 2011 4:33 am

Linux Mint is funded by ads and donations.
 

Re: updated .... but not quite!

Postby zerozero on Thu Aug 16, 2012 6:59 am

try this and post back the results
Code: Select all
sudo apt-get install debian-keyring
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6477
Joined: Tue Jul 07, 2009 2:29 pm

Re: updated .... but not quite!

Postby abtygwyn on Fri Aug 17, 2012 4:32 am

Many thanks.

Have done as suggested and the system completely updated itself, apart from the following!

W: GPG error: http://debian.linuxmint.com testing Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 07DC563D1F41B907

This may be down to a setting in the Firefox browser, not sure, as the only update not installed is to do with mint-search or something like that. It's the same error message as before as you can see, so quite what went on I'm not sure but the system spent hours yesterday downloading updates and installing and generally appears to be functioning well.

Thanks again. Let me know if I need to address the above issue still.

Andrew
abtygwyn
Level 3
Level 3
 
Posts: 151
Joined: Mon Apr 25, 2011 4:33 am

Re: updated .... but not quite!

Postby nomko on Fri Aug 17, 2012 4:53 am

Try this:
Code: Select all
apt install debian-multimedia-keyring

Code: Select all
apt update


Does this help?

Else check here: http://en.kioskea.net/faq/809-debian-apt-get-no-pubkey-gpg-error
ASUS P5KPL-AM SE*Intel Core2 Quad CPU Q8200*4 GiB ram*nVidia GeForce 9500GT*Realtek RTL8101/8102E*Optiarc DVD-RW AD-7200A*HDD:Samsung HD501LJ/HD103SI*Sitecom X5-N600 Router (WLR-5100)

Visit my website:
My personal website
nomko
Level 9
Level 9
 
Posts: 2773
Joined: Sat Feb 25, 2012 7:28 pm
Location: The Hague, The Netherlands

Re: updated .... but not quite!

Postby zerozero on Fri Aug 17, 2012 6:15 am

Andrew,
post back, please, the output of
Code: Select all
inxi -Sr
and
Code: Select all
apt dist-upgrade
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6477
Joined: Tue Jul 07, 2009 2:29 pm

Re: updated .... but not quite!

Postby abtygwyn on Fri Aug 17, 2012 8:37 am

Hi

as requested

Code: Select all
andrew@laptopu400:~$     inxi -Sr
System:    Host laptopu400 Kernel 3.2.0-3-amd64 x86_64 (64 bit) Distro Linux Mint Debian Edition
Repos:     Active apt sources in file: /etc/apt/sources.list
           deb http://packages.linuxmint.com/ debian main upstream import incoming
           deb http://debian.linuxmint.com/incoming testing main contrib non-free
           deb http://debian.linuxmint.com/incoming/security testing/updates main contrib non-free
           deb http://debian.linuxmint.com/incoming/multimedia testing main non-free
andrew@laptopu400:~$



and

was trying to paste the result of the other request but terminal is not playing ball. Can't see any input text! It was the same for the above, but somehow that managed to work with a blind paste and hitting enter. :!:

I think I may have a few more issues with this installation than I had at first realised!

Thanks for staying with it.

Andrew

OK worked out terminal enough to see what's going on - just default settings were not visible!!

Code: Select all
andrew@laptopu400:~$     apt dist-upgrade
sudo: unable to resolve host laptopu400
[sudo] password for andrew:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following NEW packages will be installed:
  libatk-adaptor-data libatk-bridge2.0-0
The following packages have been kept back:
  python-pyatspi2
The following packages will be upgraded:
  mint-search-addon
1 upgraded, 2 newly installed, 0 to remove and 1 not upgraded.
Need to get 82.9 kB/99.1 kB of archives.
After this operation, 932 kB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://debian.linuxmint.com/incoming/ testing/main libatk-bridge2.0-0 amd64 2.5.3-1 [61.5 kB]
Get:2 http://debian.linuxmint.com/incoming/ testing/main libatk-adaptor-data amd64 2.5.3-1 [21.4 kB]
Fetched 82.9 kB in 2s (33.4 kB/s)             
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
Selecting previously unselected package libatk-bridge2.0-0:amd64.
(Reading database ... 256285 files and directories currently installed.)
Unpacking libatk-bridge2.0-0:amd64 (from .../libatk-bridge2.0-0_2.5.3-1_amd64.deb) ...
Selecting previously unselected package libatk-adaptor-data.
Unpacking libatk-adaptor-data (from .../libatk-adaptor-data_2.5.3-1_amd64.deb) ...
Preparing to replace mint-search-addon 2011.08.15 (using .../mint-search-addon_2012.05.11_all.deb) ...
Unpacking replacement mint-search-addon ...
dpkg: error processing /var/cache/apt/archives/mint-search-addon_2012.05.11_all.deb (--unpack):
 unable to open '/usr/lib/firefox-addons/extensions/mint-search-enhancer@linuxmint.com/install.rdf.dpkg-new': No such file or directory
Processing triggers for libglib2.0-0:amd64 ...
Errors were encountered while processing:
 /var/cache/apt/archives/mint-search-addon_2012.05.11_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
andrew@laptopu400:~$
Last edited by zerozero on Fri Aug 17, 2012 8:35 pm, edited 1 time in total.
Reason: use of code tags for readability
abtygwyn
Level 3
Level 3
 
Posts: 151
Joined: Mon Apr 25, 2011 4:33 am

Re: updated .... but not quite!

Postby zerozero on Fri Aug 17, 2012 8:34 pm

you have in there another error
Code: Select all
Errors were encountered while processing:
/var/cache/apt/archives/mint-search-addon_2012.05.11_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

that is preventing you from finishing the dist-upgrade, see here for the fix >> viewtopic.php?f=198&t=110248&start=0
and after that please give us the output of
Code: Select all
apt update && apt dist-upgrade
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6477
Joined: Tue Jul 07, 2009 2:29 pm

Re: updated .... but not quite!

Postby abtygwyn on Sat Aug 18, 2012 5:32 am

zerozero wrote:you have in there another error
Code: Select all
Errors were encountered while processing:
/var/cache/apt/archives/mint-search-addon_2012.05.11_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

that is preventing you from finishing the dist-upgrade, see here for the fix >> viewtopic.php?f=198&t=110248&start=0
and after that please give us the output of
Code: Select all
apt update && apt dist-upgrade



As requested .... as you can see, terminal sometimes doesn't echo my keys hence I can't see if password is correct!!

Thanks again

Andrew


Code: Select all
andrew@laptopu400:~$     apt update && apt dist-upgrade
sudo: unable to resolve host laptopu400
[sudo] password for andrew:
Sorry, try again.
[sudo] password for andrew:
Hit http://debian.linuxmint.com testing InRelease
Ign http://packages.linuxmint.com debian InRelease                   
Hit http://debian.linuxmint.com testing/updates InRelease             
Get:1 http://packages.linuxmint.com debian Release.gpg [197 B]         
Ign http://debian.linuxmint.com testing InRelease         
Get:2 http://packages.linuxmint.com debian Release [15.6 kB]
Hit http://debian.linuxmint.com testing/main amd64 Packages/DiffIndex
Hit http://debian.linuxmint.com testing/contrib amd64 Packages/DiffIndex
Hit http://debian.linuxmint.com testing/non-free amd64 Packages/DiffIndex
Hit http://debian.linuxmint.com testing/contrib Translation-en/DiffIndex
Get:3 http://packages.linuxmint.com debian/main amd64 Packages [14.9 kB]
Hit http://debian.linuxmint.com testing/main Translation-en/DiffIndex
Hit http://debian.linuxmint.com testing/non-free Translation-en/DiffIndex
Hit http://debian.linuxmint.com testing/updates/main amd64 Packages   
Get:4 http://packages.linuxmint.com debian/upstream amd64 Packages [8,656 B]
Hit http://debian.linuxmint.com testing/updates/contrib amd64 Packages
Hit http://debian.linuxmint.com testing/updates/non-free amd64 Packages
Get:5 http://packages.linuxmint.com debian/import amd64 Packages [55.2 kB]
Get:6 http://packages.linuxmint.com debian/incoming amd64 Packages [8,999 B]
Get:7 http://debian.linuxmint.com testing Release.gpg [198 B]         
Hit http://debian.linuxmint.com testing Release                               
Ign http://debian.linuxmint.com testing Release                               
Hit http://debian.linuxmint.com testing/main amd64 Packages/DiffIndex         
Hit http://debian.linuxmint.com testing/non-free amd64 Packages/DiffIndex     
Ign http://debian.linuxmint.com testing/updates/contrib Translation-en_GB     
Ign http://debian.linuxmint.com testing/updates/contrib Translation-en
Ign http://debian.linuxmint.com testing/updates/main Translation-en_GB
Ign http://debian.linuxmint.com testing/updates/main Translation-en
Ign http://debian.linuxmint.com testing/updates/non-free Translation-en_GB
Ign http://debian.linuxmint.com testing/updates/non-free Translation-en
Ign http://packages.linuxmint.com debian/import Translation-en_GB
Ign http://packages.linuxmint.com debian/import Translation-en
Ign http://packages.linuxmint.com debian/incoming Translation-en_GB
Ign http://packages.linuxmint.com debian/incoming Translation-en
Ign http://packages.linuxmint.com debian/main Translation-en_GB
Ign http://packages.linuxmint.com debian/main Translation-en
Ign http://packages.linuxmint.com debian/upstream Translation-en_GB
Ign http://packages.linuxmint.com debian/upstream Translation-en
Ign http://debian.linuxmint.com testing/main Translation-en_GB
Ign http://debian.linuxmint.com testing/main Translation-en
Ign http://debian.linuxmint.com testing/non-free Translation-en_GB
Ign http://debian.linuxmint.com testing/non-free Translation-en
Fetched 104 kB in 16s (6,241 B/s)
Reading package lists... Done
W: GPG error: http://debian.linuxmint.com testing Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 07DC563D1F41B907
sudo: unable to resolve host laptopu400
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  python-pyatspi2
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
andrew@laptopu400:~$
abtygwyn
Level 3
Level 3
 
Posts: 151
Joined: Mon Apr 25, 2011 4:33 am

Re: updated .... but not quite!

Postby zerozero on Sat Aug 18, 2012 6:05 am

terminal sometimes doesn't echo my keys hence I can't see if password is correct!!
when you are typing the pw, the terminal never echoes it, it's a safety feature, it looks like nothing is getting inputted but it is.

andrew@laptopu400:~$ apt update && apt dist-upgrade
sudo: unable to resolve host laptopu400
this is another error :D you have changed the computer name recently (or at least after install)?
see this >> http://askubuntu.com/questions/59458/su ... -host-none and this >> http://www.webupd8.org/2012/03/how-to-c ... me-in.html (that change has to be made in 2 places)

W: GPG error: http://debian.linuxmint.com testing Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 07DC563D1F41B907
the GPG error is still present,
share please the output of
Code: Select all
apt policy debian-archive-keyring deb-multimedia-keyring debian-multimedia-keyring
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6477
Joined: Tue Jul 07, 2009 2:29 pm

Re: updated .... but not quite!

Postby abtygwyn on Sat Aug 18, 2012 8:26 am

zerozero wrote:
terminal sometimes doesn't echo my keys hence I can't see if password is correct!!
when you are typing the pw, the terminal never echoes it, it's a safety feature, it looks like nothing is getting inputted but it is.

andrew@laptopu400:~$ apt update && apt dist-upgrade
sudo: unable to resolve host laptopu400
this is another error :D you have changed the computer name recently (or at least after install)?
see this >> http://askubuntu.com/questions/59458/su ... -host-none and this >> http://www.webupd8.org/2012/03/how-to-c ... me-in.html (that change has to be made in 2 places)

W: GPG error: http://debian.linuxmint.com testing Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 07DC563D1F41B907
the GPG error is still present,
share please the output of
Code: Select all
apt policy debian-archive-keyring deb-multimedia-keyring debian-multimedia-keyring



tried the links above and have manged to change hostnames in both files so the information is consistent.
However I did note that terminal threw up a couple of error messages while carrying out the instructions ....

andrew@laptopu400:~$ sudo gedit /etc/hostname
[sudo] password for andrew:
Gtk-Message: Failed to load module "canberra-gtk-module"
andrew@laptopu400:~$ gksu gedit /etc/hosts
Gtk-Message: Failed to load module "atk-bridge"
Gtk-Message: Failed to load module "canberra-gtk-module"

(gedit:7246): EggSMClient-WARNING **: Failed to connect to the session manager: None of the authentication protocols specified are supported

andrew@laptopu400:~$ gksu gedit /etc/hostname
Gtk-Message: Failed to load module "atk-bridge"
Gtk-Message: Failed to load module "canberra-gtk-module"

(gedit:7326): EggSMClient-WARNING **: Failed to connect to the session manager: None of the authentication protocols specified are supported

ALSO have pasted out put of the other command as requested ....

andrew@laptopu400:~$ apt policy debian-archive-keyring deb-multimedia-keyring debian-multimedia-keyring
debian-archive-keyring:
Installed: 2012.4
Candidate: 2012.4
Version table:
*** 2012.4 0
500 http://debian.linuxmint.com/incoming/ testing/main amd64 Packages
100 /var/lib/dpkg/status
deb-multimedia-keyring:
Installed: (none)
Candidate: 2012.05.10-dmo3
Version table:
2012.05.10-dmo3 0
500 http://debian.linuxmint.com/incoming/multimedia/ testing/main amd64 Packages
debian-multimedia-keyring:
Installed: 2010.12.26
Candidate: 2010.12.26
Version table:
*** 2010.12.26 0
100 /var/lib/dpkg/status
andrew@laptopu400:~$

Hope this helps.

Thanks again

Andrew
abtygwyn
Level 3
Level 3
 
Posts: 151
Joined: Mon Apr 25, 2011 4:33 am

Re: updated .... but not quite!

Postby zerozero on Sat Aug 18, 2012 9:03 am

Code: Select all
Gtk-Message: Failed to load module "atk-bridge"
Gtk-Message: Failed to load module "canberra-gtk-module"

these here are harmless warnings but we can fix them
https://bugzilla.redhat.com/show_bug.cgi?id=632934
viewtopic.php?f=197&t=93536&start=0
the GPG error still remains (i believe) because of
Code: Select all
deb-multimedia-keyring:
Installed: (none)
Candidate: 2012.05.10-dmo3
this (you are missing the deb-multimedia-keyring)

but first, we have a package held back (from the previous post)
Code: Select all
The following packages have been kept back:
  python-pyatspi2
let's first solve that one
Code: Select all
apt install python-pyatspi2

and then
Code: Select all
apt install deb-multimedia-keyring libcanberra-gtk3-module libatk-bridge2.0-0

in the end of it run again
Code: Select all
apt update
and check if it returns any errors
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6477
Joined: Tue Jul 07, 2009 2:29 pm

Re: updated .... but not quite!

Postby abtygwyn on Sat Aug 18, 2012 10:06 am

zerozero wrote:
Code: Select all
Gtk-Message: Failed to load module "atk-bridge"
Gtk-Message: Failed to load module "canberra-gtk-module"

these here are harmless warnings but we can fix them
https://bugzilla.redhat.com/show_bug.cgi?id=632934
viewtopic.php?f=197&t=93536&start=0
the GPG error still remains (i believe) because of
Code: Select all
deb-multimedia-keyring:
Installed: (none)
Candidate: 2012.05.10-dmo3
this (you are missing the deb-multimedia-keyring)

but first, we have a package held back (from the previous post)
Code: Select all
The following packages have been kept back:
  python-pyatspi2
let's first solve that one
Code: Select all
apt install python-pyatspi2

and then
Code: Select all
apt install deb-multimedia-keyring libcanberra-gtk3-module libatk-bridge2.0-0

in the end of it run again
Code: Select all
apt update
and check if it returns any errors


Have done as requested and also included the previous check, which may not have been strictly necessary but I have included for completeness sake.
I think it all looks OK now, but I'm sure you'll spot anything which needs addressing.

Many thanks for your help. I couldn't do it without you!! :D

Andrew



Code: Select all
andrew@laptopu400:~$     apt policy debian-archive-keyring deb-multimedia-keyring debian-multimedia-keyring
debian-archive-keyring:
  Installed: 2012.4
  Candidate: 2012.4
  Version table:
 *** 2012.4 0
        500 http://debian.linuxmint.com/incoming/ testing/main amd64 Packages
        100 /var/lib/dpkg/status
deb-multimedia-keyring:
  Installed: 2012.05.10-dmo3
  Candidate: 2012.05.10-dmo3
  Version table:
 *** 2012.05.10-dmo3 0
        500 http://debian.linuxmint.com/incoming/multimedia/ testing/main amd64 Packages
        100 /var/lib/dpkg/status
debian-multimedia-keyring:
  Installed: 2010.12.26
  Candidate: 2010.12.26
  Version table:
 *** 2010.12.26 0
        100 /var/lib/dpkg/status


Code: Select all
andrew@laptopu400:~$ apt update
[sudo] password for andrew:
Hit http://debian.linuxmint.com testing InRelease
Ign http://packages.linuxmint.com debian InRelease                   
Hit http://debian.linuxmint.com testing/updates InRelease             
Get:1 http://packages.linuxmint.com debian Release.gpg [197 B]         
Ign http://debian.linuxmint.com testing InRelease         
Get:2 http://packages.linuxmint.com debian Release [15.6 kB]
Hit http://debian.linuxmint.com testing/main amd64 Packages/DiffIndex
Hit http://debian.linuxmint.com testing/contrib amd64 Packages/DiffIndex
Hit http://debian.linuxmint.com testing/non-free amd64 Packages/DiffIndex
Hit http://debian.linuxmint.com testing/contrib Translation-en/DiffIndex
Get:3 http://packages.linuxmint.com debian/main amd64 Packages [14.9 kB]
Hit http://debian.linuxmint.com testing/main Translation-en/DiffIndex
Hit http://debian.linuxmint.com testing/non-free Translation-en/DiffIndex
Hit http://debian.linuxmint.com testing/updates/main amd64 Packages
Get:4 http://packages.linuxmint.com debian/upstream amd64 Packages [8,656 B]
Hit http://debian.linuxmint.com testing/updates/contrib amd64 Packages
Get:5 http://packages.linuxmint.com debian/import amd64 Packages [55.2 kB]
Hit http://debian.linuxmint.com testing/updates/non-free amd64 Packages
Get:6 http://packages.linuxmint.com debian/incoming amd64 Packages [8,999 B]
Hit http://debian.linuxmint.com testing Release.gpg       
Hit http://debian.linuxmint.com testing Release                                 
Hit http://debian.linuxmint.com testing/main amd64 Packages/DiffIndex                                                                                       
Hit http://debian.linuxmint.com testing/non-free amd64 Packages/DiffIndex                                                                                   
Ign http://packages.linuxmint.com debian/import Translation-en_GB                                                                                           
Ign http://packages.linuxmint.com debian/import Translation-en                                                                                             
Ign http://debian.linuxmint.com testing/updates/contrib Translation-en_GB                                                                                   
Ign http://packages.linuxmint.com debian/incoming Translation-en_GB                                                                                         
Ign http://debian.linuxmint.com testing/updates/contrib Translation-en                                                                                     
Ign http://packages.linuxmint.com debian/incoming Translation-en                                                                                           
Ign http://debian.linuxmint.com testing/updates/main Translation-en_GB                                                                                     
Ign http://packages.linuxmint.com debian/main Translation-en_GB                                                                                             
Ign http://debian.linuxmint.com testing/updates/main Translation-en                                                                                         
Ign http://packages.linuxmint.com debian/main Translation-en                                                                                               
Ign http://debian.linuxmint.com testing/updates/non-free Translation-en_GB                                                                                 
Ign http://packages.linuxmint.com debian/upstream Translation-en_GB                                                                                         
Ign http://debian.linuxmint.com testing/updates/non-free Translation-en                                                                                     
Ign http://packages.linuxmint.com debian/upstream Translation-en                                                                                           
Ign http://debian.linuxmint.com testing/main Translation-en_GB                                                                                             
Ign http://debian.linuxmint.com testing/main Translation-en
Ign http://debian.linuxmint.com testing/non-free Translation-en_GB
Ign http://debian.linuxmint.com testing/non-free Translation-en
Fetched 104 kB in 14s (7,229 B/s)
Reading package lists... Done
andrew@laptopu400:~$
abtygwyn
Level 3
Level 3
 
Posts: 151
Joined: Mon Apr 25, 2011 4:33 am

Re: updated .... but not quite!

Postby zerozero on Sat Aug 18, 2012 5:25 pm

Andrew,
congrats 8)
as far as i see it's [SOLVED]
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6477
Joined: Tue Jul 07, 2009 2:29 pm

Re: updated .... but not quite!

Postby abtygwyn on Mon Aug 20, 2012 12:26 pm

zerozero wrote:Andrew,
congrats 8)
as far as i see it's [SOLVED]


Many thanks. I have marked the post as sorted!

Andrew
abtygwyn
Level 3
Level 3
 
Posts: 151
Joined: Mon Apr 25, 2011 4:33 am

Linux Mint is funded by ads and donations.
 

Return to Update/Upgrade Issues

Who is online

Users browsing this forum: No registered users and 4 guests